Package org.bedework.synch.wsmessages

# Class KeepAliveNotificationType

java.lang.Object
org.bedework.synch.wsmessages.KeepAliveNotificationType

public class KeepAliveNotificationType extends Object
Ping the service subscribe-url: callback url for notifications and subscribe requests token: token as provided at startup

Java class for KeepAliveNotificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="KeepAliveNotificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="subscribeUrl" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="token" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `subscribeUrl`
  `protected String`
  `token`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeepAliveNotificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSubscribeUrl()`
  Gets the value of the subscribeUrl property.
  `String`
  `getToken()`
  Gets the value of the token property.
  `void`
  `setSubscribeUrl(String value)`
  Sets the value of the subscribeUrl property.
  `void`
  `setToken(String value)`
  Sets the value of the token property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### subscribeUrl

    protected String subscribeUrl

  - ### token

    protected String token

- ## Constructor Details

  - ### KeepAliveNotificationType

    public KeepAliveNotificationType()

- ## Method Details

  - ### getSubscribeUrl

    public String getSubscribeUrl()
    Gets the value of the subscribeUrl property.
    Returns:
      possible object is `String`

  - ### setSubscribeUrl

    public void setSubscribeUrl(String value)
    Sets the value of the subscribeUrl property.
    Parameters:
      `value` - allowed object is `String`

  - ### getToken

    public String getToken()
    Gets the value of the token property.
    Returns:
      possible object is `String`

  - ### setToken

    public void setToken(String value)
    Sets the value of the token property.
    Parameters:
      `value` - allowed object is `String`